/**
 * The main entrypoint when using Deno as the runtime
 */
import {getTermios} from "../common/termios.ts";

export * from './terminal_io.ts';

export async function init() {
	const t = await getTermios();

	globalThis.onbeforeunload = (): void => {
		console.log('Disabling raw mode');
		t.disableRawMode();
	};
}
